Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# treemodel.hh File Reference

A GtkTreePath, GtkTreeIter, GtkTreeModel, and GtkTreeRowReference C++ wrapper interface. More...

`#include <xfc/stackobject.hh>`
`#include <xfc/glib/type.hh>`
`#include <xfc/glib/value.hh>`
`#include <gtk/gtktreemodel.h>`
`#include <vector>`
`#include <xfc/gtk/inline/treemodel.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::G
- namespace Xfc::Gtk

## Classes

- class Xfc::Gtk::TreePath
    A GtkTreePath C++ wrapper class. More...
- class Xfc::Gtk::TreeIter
    A GtkTreeIter C++ wrapper class. More...
- class Xfc::Gtk::TreeModel
    A GtkTreeModel C++ wrapper class. More...
- class Xfc::Gtk::TreeRowReference
    A GtkTreeRowReference C++ wrapper class. More...

## Typedefs

- typedef unsigned int TreeModelFlagsField
    TreeModelFlagsField holds one or more values from the Gtk::TreeModelFlags enumeration OR'd together.

## Enumerations

- enum TreeModelFlags {
  TREE_MODEL_ITERS_PERSIST = GTK_TREE_MODEL_ITERS_PERSIST,
  TREE_MODEL_LIST_ONLY = GTK_TREE_MODEL_LIST_ONLY
  }
    These flags indicate various properties of a TreeModel. More...

## Detailed Description

A GtkTreePath, GtkTreeIter, GtkTreeModel, and GtkTreeRowReference C++ wrapper interface.

Provides TreeIter, TreePath, TreeModel and TreeRowReference, a set of objects that defines a generic tree interface for use by the TreeView widget. It is an abstract interface, and is designed to be usable with any derived class.

## Enumeration Type Documentation

enum TreeModelFlags

These flags indicate various properties of a TreeModel.

They are returned by Gtk::TreeModel::get_flags(), and must be static for the lifetime of the object. A more complete description of TREE_MODEL_ITERS_PERSIST can be found in the TreeModel desription.

Enumeration values:

  TREE_MODEL_ITERS_PERSIST | Iterators survive all signals emitted by the tree.
  TREE_MODEL_LIST_ONLY | The model is a list only, and never has children.

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3